﻿/*** Name:      Score.cs
 *** Created:   11/27/2008, by: Roulaux, R
 *** Modified:  12/3/2008, by: Hilkens, RGM
 *** Source:    Score klasse welke een unieke score opslaat.
 *** Copyright: (c) Gr2 Dev 2008
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace Etaris.Core
{
    /// <summary>
    /// Score klasse welke een unieke score opslaat.
    /// </summary>
    public class Score : IComparable<Score>
    {
        /// <summary>
        /// Constructor. Initialiseert de klasse.
        /// </summary>
        public Score()
        { }

        /// <summary>
        /// De behaalde score.
        /// </summary>
        public int FinalScore;

        /// <summary>
        /// Naam van de speler welke deze score behaald heeft.
        /// </summary>
        public String Name;

        /// <summary>
        /// Constructor. Initialiseert de klasse.
        /// </summary>
        /// <param name="points">Het aantal behaalde punten.</param>
        /// <param name="pname">De naam van de speler.</param>
        public Score(int points, String pname)
        {
            FinalScore = points;
            Name = pname;
        }

        /// <summary>
        /// Vergelijkt huidige instantie met een andere instantie van <i>Score</i>.
        /// </summary>
        /// <param name="other">Een ander <i>score</i> object.</param>
        /// <returns>1 als <i>other</i> &gt; <i>this</i>, 0 als <i>other</i> = <i>this</i>, -1 als <i>other</i> &lt; <i>this</i>.</returns>
        public int CompareTo(Score other)
        {
            int scoreCompare;
            if (other.FinalScore > this.FinalScore)
            { scoreCompare = 1; }
            else if (other.FinalScore == this.FinalScore)
            { scoreCompare = 0; }
            else
            { scoreCompare = -1; }
            return scoreCompare;
        }
    }
}
